#include "coin.h"
#include "map.h"

CoinClass::CoinClass()
{
	position.x=0;
	position.y=0;
	image.LoadFromFile("files/sprites.png");
	image.SetSmooth(false);
	sprite.SetImage(image);
	sprite.SetSubRect(sf::IntRect(0, 0, 16, 16));
	sprite.SetPosition(position);
}

void CoinClass::init(MapClass& map)
{
	int rx=rand()%32;
	int ry=rand()%18;
	while(map.tile[rx][ry].wall)
	{
		rx=rand()%32;
		ry=rand()%18;
	}
	position=sf::Vector2f(float(rx*16), float(ry*16));
	isActive=true;
}

void CoinClass::render(sf::RenderWindow &win)
{
	if(isActive)

	{
	sprite.SetPosition(position);
	win.Draw(sprite);
	}
}

void CoinClass::update()
{
	if(isActive)
		sprite.SetPosition(position);
}