#ifndef MONSTER_H
#define MONSTER_H

#include <SFML/Graphics.hpp>
#include "map.h"
#include "player.h"

class MonsterClass
{
public:
	sf::Vector2f velocity;
	sf::Vector2f position;
	int facing;
	bool isActive;
	sf::Image image;
	sf::Sprite sprite;
	void init(MapClass& map, PlayerClass& pl);
	void render(sf::RenderWindow& win);
	void move(sf::Vector2f vel);
	void update(MapClass& map, PlayerClass& pl);
	MonsterClass();
	~MonsterClass() {};
};

#endif
