#ifndef PLAYER_H
#define PLAYER_H

#include <SFML/Graphics.hpp>
#include "map.h"

class PlayerClass
{
public:
	sf::Vector2f velocity;
	sf::Vector2f position;
	int facing;
	bool deathanimation;
	sf::Clock deathclock;
	bool cheeranimation;
	sf::Clock cheerclock;
	sf::Image image;
	sf::Sprite sprite;
	void died();
	void cheered();
	void render(sf::RenderWindow& win);
	void move(sf::Vector2f vel);
	void update(MapClass& map);
	PlayerClass();
	~PlayerClass() {};
};

#endif
