#include "reader.h"

ReaderClass::ReaderClass()
{
	std::fstream fin("files/readme.txt");
	fin.getline(buffer, sizeof(buffer), ':');
	fin.flush();
	dfont.LoadFromFile("files/digi.ttf", 32);
	readme.SetFont(dfont);
	readme.SetSize(16);
	readme.SetText(buffer);
	readme.SetPosition(0, 9*32);
}

void ReaderClass::render(sf::RenderWindow &win)
{
	win.Draw(readme);
}

void ReaderClass::update()
{
	readme.Move(0, -0.78f);
}