#ifndef MAP_H
#define MAP_H

#include <SFML/Graphics.hpp>

struct MapCell
{
	int tileType;
	bool wall;
	sf::Uint8 alpha;
};

struct WHRect
{
	int x;
	int y;
	int w;
	int h;
};

class MapClass
{
public:
	MapCell tile[32][18];

	sf::Vector2f treasurePosition;
	sf::Color mainColor;

	int PutTheHUD; //0=top left 1=bottom left 2=top right 3=bottom right
	WHRect currentRoom;
	sf::Vector2f getPlayer(WHRect& room);
	sf::Image image;
	sf::Sprite sprite;
	void setcolor(sf::Color& col);
	void init();
	bool makeroom(int px, int py, int dx, int dy);
	bool makeroom(WHRect& r);
	void setsprite(int tx, int ty);
	void render(sf::RenderWindow& win);
	MapClass();
	~MapClass() {};
};

#endif