#include "treasure.h"

TreasureClass::TreasureClass()
{
	position.x=0;
	position.y=0;
	image.LoadFromFile("files/sprites.png");
	image.SetSmooth(false);
	sprite.SetImage(image);
	sprite.SetSubRect(sf::IntRect(16, 0, 32, 16));
	sprite.SetPosition(position);
}

void TreasureClass::render(sf::RenderWindow &win)
{
	sprite.SetPosition(position);
	win.Draw(sprite);
}

void TreasureClass::update()
{
	sprite.SetPosition(position);
}